package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.armors.EnemyArmor;
import org.project.item.weapons.knife;

public class Goblin extends Enemy {

    public Goblin(){
        super(35 , 30 , new knife() , new EnemyArmor());

    }

    public void specialAbility(Entity target){
        System.out.println("\uD83D\uDC79 use critical hit");
        target.takeDamage(2 * weapon.getDamage() - 5);
        this.mp -=10;

    }

    public String toString(){
        return "\uD83D\uDC79 Goblin";
    }

}
